Subject: Re: bug#20982: 25.0.50; GPG uses GUI dialog box to ask for passphrase

From: Stefan Monnier <[email-masked]>
Date: Sat, 04 Jul 2015 15:25:18 -0400

> Now, I don't know if it's possible, it's probably GPG-side thing, but
> could it be done in minibuffer (like sudo in shell and Emacs shell),
> then somehow passed to GPG?

It's probably possible, but FWIW, it's indeed done GPG-side (actually
from gpg-agent, IIUC) and it has security advantages, in that the
password never goes through Emacs at all (and gpg-agent is, by nature,
written in a more security-conscious way than Emacs).

        Stefan